Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface GradleProject

    org.gradle.tooling.model.HierarchicalElement
      org.gradle.tooling.model.Element
          org.gradle.tooling.model.Model
              org.gradle.tooling.model.GradleProject
                  org.gradle.tooling.model.BuildableElement

All Superinterfaces:
  HierarchicalElement, Element, Model, BuildableElement

    public interface GradleProject
    extends BuildableElement, HierarchicalElement

Gradle project.

Since:
  1.0-milestone-5

Method Summary
`GradleProject` | `findByPath(String path)` Searches all descendants (children, grand children, etc.), including self, by given path.
`DomainObjectSet` | `getChildren()` {@inheritDoc}
`GradleProject` | `getParent()` {@inheritDoc}
`String` | `getPath()` Returns Gradle path.
`DomainObjectSet` | `getTasks()` Returns the tasks of this project.

Methods inherited from interface HierarchicalElement
getChildren, getParent

Methods inherited from interface BuildableElement
getTasks

Method Detail

### findByPath

    @Nullable
    public GradleProject findByPath(String path)

  Searches all descendants (children, grand children, etc.), including self, by given path.
  Returns:
    Gradle project with matching path or `null` if not found.

### getChildren

    public DomainObjectSet getChildren()

  {@inheritDoc}

### getParent

    public GradleProject getParent()

  {@inheritDoc}

### getPath

    public String getPath()

  Returns Gradle path.
  Returns:
    The path.

### getTasks

    public DomainObjectSet getTasks()

  Returns the tasks of this project.
  Returns:
    The tasks.

Gradle API 1.1-rc-1